org.apache.lucene.queryparser.flexible.standard.builders

## Class AnyQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.AnyQueryNodeBuilder

- All Implemented Interfaces:
    QueryBuilder, StandardQueryBuilder

      public class AnyQueryNodeBuilder
      extends Object
      implements StandardQueryBuilder

  Builds a BooleanQuery of SHOULD clauses, possibly with some minimum number to match.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnyQueryNodeBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanQuery` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnyQueryNodeBuilder

          public AnyQueryNodeBuilder()

  - ### Method Detail

    - #### build

          public BooleanQuery build(QueryNode queryNode)
                             throws QueryNodeException

      Description copied from interface: `QueryBuilder`
      Builds some kind of object from a query tree.
      Specified by:
        `build` in interface `QueryBuilder`
      Specified by:
        `build` in interface `StandardQueryBuilder`
      Parameters:
        `queryNode` - the query tree root node
      Returns:
        some object generated from the query tree
      Throws:
        `QueryNodeException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.